{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<form method="post" name="paymentForm" id="paymentForm" action="{$formActionUrl|escape:'htmlall':'UTF-8'}">
	<input type="hidden" name="Version" value="{$version|escape:'htmlall':'UTF-8'}"><br>
	<input type="hidden" name="MerID" value="{$merchantID|escape:'htmlall':'UTF-8'}"><br>
	<input type="hidden" name="AcqID" value="{$acquirerID|escape:'htmlall':'UTF-8'}"><br>
	<input type="hidden" name="MerRespURL" value="{$responseURL|escape:'htmlall':'UTF-8'}"><br>
	<input type="hidden" name="MerCallbackURL" value="{$merchantCallbackUrl|escape:'htmlall':'UTF-8'}"><br>
	<input type="hidden" name="PurchaseAmt" value="{$formattedPurchaseAmt|escape:'htmlall':'UTF-8'}"><br>
	<input type="hidden" name="PurchaseCurrency" value="{$currencyCode|escape:'htmlall':'UTF-8'}"><br>
	<input type="hidden" name="PurchaseCurrencyExponent" value="{$currencyExp|escape:'htmlall':'UTF-8'}"><br>
	<input type="hidden" name="OrderID" value="{$orderID|escape:'htmlall':'UTF-8'}"><br>
	<input type="hidden" name="CaptureFlag" value="{$captureFlag|escape:'htmlall':'UTF-8'}"><br> 
	<input type="hidden" name="Signature" value="{$base64Sha1Signature|escape:'htmlall':'UTF-8'}"><br>
	<input type="hidden" name="SignatureMethod" value="{$signatureMethod|escape:'htmlall':'UTF-8'}"><br>
	{if $sendBillingInfo}
    	<input type="hidden" name="billFirstName" value="{$sendBillingData['firstname']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="billLastName" value="{$sendBillingData['lastname']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="billAddress1" value="{$sendBillingData['address1']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="billAddress2" value="{$sendBillingData['address2']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="billCity" value="{$sendBillingData['city']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="billCountry" value=""><br>
    	<input type="hidden" name="billPostalCode" value="{$sendBillingData['postcode']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="billEmail" value="{$sendBillingData['email']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="billMobilePhone" value="{$sendBillingData['phone']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="billState" value=""><br>
	{/if}
	{if $sendShippingInfo}
	    <input type="hidden" name="shippingFirstName" value="{$sendShippingData['firstname']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="shippingLastName" value="{$sendShippingData['lastname']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="shipAddress1" value="{$sendShippingData['address1']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="shipAddress2" value="{$sendShippingData['address2']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="shipCity" value="{$sendShippingData['city']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="shipCountry" value=""><br>
    	<input type="hidden" name="shipPostalCode" value="{$sendBillingData['postcode']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="shipState" value=""><br>
	{/if}
	{if $sendGeneralInfo}
	    <input type="hidden" name="addressMatch" value="{$sendGeneralData['addressMatch']|escape:'htmlall':'UTF-8'}"><br>
    	<input type="hidden" name="deliveryEmail" value="{$sendGeneralData['email']|escape:'htmlall':'UTF-8'}"><br>
	{/if}
</form>
<script language="JavaScript">
document.forms["paymentForm"].submit();
</script>